- Extending Qt Creator Manual
- QtCreator
- AspectContainer
- Extending Qt Creator Manual 13.0.0

# AspectContainer Class

class Utils::AspectContainer

The AspectContainer class wraps one or more aspects while providing the interface of a single aspect. More...

Header: | #include <AspectContainer>
Inherits: | Utils::BaseAspect

- List of all members, including inherited members

## Public Functions

Utils::BaseAspect * | aspect(Utils::Id id) const

## Detailed Description

Sub-aspects ownership can be declared using setOwnsSubAspects.

## Member Function Documentation

### Utils::BaseAspect *AspectContainer::aspect(Utils::Id id) const

Retrieves a BaseAspect with a given id, or nullptr if no such aspect is contained.

See also BaseAspect.